[APP - Linux] installation/ utilisation impossible!  

Anciennes discussions sur les bug d'autopano
no avatar
l_archi
Member
 
Posts: 162
Joined: Fri Dec 02, 2005 9:05 pm

by l_archi » Fri Feb 22, 2008 8:27 pm

Est-ce que tout ça est documenté dans le wiki ? :)

no avatar
bazaar
Member
 
Posts: 302
Joined: Tue Feb 14, 2006 12:04 am
Location: Rhône-Alpes, Bourgogne, Centre

by bazaar » Fri Feb 22, 2008 10:29 pm

OUéééééééé
hiphiphip pour jda :D

Apt est tout décoincé! :)
merci encore!!

Et pour APP, je peux utiliser quelle version, sans etre buggué?
Last edited by bazaar on Fri Feb 22, 2008 10:30 pm, edited 1 time in total.

no avatar
Jda
New member
 
Posts: 3
Joined: Fri Feb 22, 2008 7:47 pm
Location: Là où il y a hiver & 15 Aout

by Jda » Sat Feb 23, 2008 9:46 am

Merci bazaar! Je suis content que ton problème soit enfin résolu. (J'étais dans la même situation que toi, c'est pour cela que je n'ai aucune peine à  comprendre le stress dans lequel tu te trouvais...)
Pour répondre à  ta question, je te conseille d'utiliser l'archive "AutopanoPro_Linux_140_2007-12-18.tar.gz". Télécharge-là  puis lance un petit coup de "tar xfz AutopanoPro_Linux_140_2007-12-18.tar.gz" dans un terminal. Cela va créé un sous-répertoire nommé "APP" dans le répertoire où tu avais téléchargé l'archive. Rentre dans ce sous-répertoire et lance le fichier "AutopanoPro" qui s'y trouve. Logiquement, tu ne devrais plus avoir de problème.
Bon amusement avec Autopano Pro qui est pour moi - et de loin - le meilleur logiciel de génération de panoramas du marché !

User avatar
dim
Member
 
Posts: 78
Joined: Tue Feb 19, 2008 10:52 pm
Location: la roche-en-ardenne

by dim » Sat Feb 23, 2008 3:25 pm

merci pour le remède, je l'essaye également
eos5Dc, eos5D2 + Magic Lantern 2.3 & nightbuild, canon 24-70mm f:2.8, sigma 180mm macro f:5.6, samyang 14mm f:2.8, helios-40 85mm f1.5, old yashica 800mm f8, manfrotto 302+ hackée, merlin + BTursaminor, macbook + ubuntu 12.04, osx, win7, intel quadcore + ubuntu 13.04 studio, win7, Darktable, GretagMcB eye-one, epson V750.

no avatar
bazaar
Member
 
Posts: 302
Joined: Tue Feb 14, 2006 12:04 am
Location: Rhône-Alpes, Bourgogne, Centre

by bazaar » Sat Feb 23, 2008 9:28 pm

Alors la, par contre rien de neuf, toujours cassé, quelquesoit la combinaison:

~/Bureau/APP$ ./AutopanoPro
./AutopanoPro: error while loading shared libraries: libQtXml.so.4: cannot open shared object file: No such file or directory

~/Bureau/APP$ ./AutopanoPro.sh
./AutopanoPro.sh: 4: Syntax error: Bad substitution

~/Bureau/APP$ sh AutopanoPro.sh
AutopanoPro.sh: 4: Syntax error: Bad substitution

~/Bureau/APP$ sh AutopanoPro
AutopanoPro: 9: Syntax error: ")" unexpected

~/Bureau/APP$

bouh!

User avatar
dim
Member
 
Posts: 78
Joined: Tue Feb 19, 2008 10:52 pm
Location: la roche-en-ardenne

by dim » Sun Feb 24, 2008 8:18 am

remède impec... merci jda

l'archive "AutopanoPro_Linux_140_2007-12-18.tar.gz" fonctionne parfaitement sur la gutsy. Le dossier autopanopro doit contenir le dossier resources et les fichiers AutopanoPro, AutopanoPro.sh, libQtCore.so.4, libQtGui.so.4, libQtNetwork.so.4, libQtXml.so.4. Il suffit de cliquer sur AutopanoPro ou de lancer en ligne de commande dans le dossier AutopanoPro: ./AutopanoPro.
eos5Dc, eos5D2 + Magic Lantern 2.3 & nightbuild, canon 24-70mm f:2.8, sigma 180mm macro f:5.6, samyang 14mm f:2.8, helios-40 85mm f1.5, old yashica 800mm f8, manfrotto 302+ hackée, merlin + BTursaminor, macbook + ubuntu 12.04, osx, win7, intel quadcore + ubuntu 13.04 studio, win7, Darktable, GretagMcB eye-one, epson V750.

no avatar
Jda
New member
 
Posts: 3
Joined: Fri Feb 22, 2008 7:47 pm
Location: Là où il y a hiver & 15 Aout

by Jda » Sun Feb 24, 2008 9:29 am

De rien dim. Par contre, je n'ai pas de solution pour bazaar. L'archive fonctionne parfaitement bien chez moi et je suis incapable de reproduire ce défaut. Si quelqu'un a le même type d'erreur, merci à  lui de se manifester. Pour info, j'utilise une distrib Mepis 7.0 (basée sur Debian).
Last edited by Jda on Sun Feb 24, 2008 9:29 am, edited 1 time in total.

no avatar
l_archi
Member
 
Posts: 162
Joined: Fri Dec 02, 2005 9:05 pm

by l_archi » Sun Feb 24, 2008 4:43 pm

Moi j'ai toutes ces lib QT

ii libqt3-compat-headers 3:3.3.8b-2 Qt 1.x and 2.x compatibility includes
ii libqt3-headers 3:3.3.8b-2 Qt3 header files
ii libqt3-mt 3:3.3.8b-2 Qt GUI Library (Threaded runtime version), V
ii libqt3c102 3:3.3.4-3 Qt GUI Library, Version 3
ic libqt3c102-mt 3:3.3.4-3 Qt GUI Library (Threaded runtime version), V
ii libqt4-core 4.3.3-2 Qt 4 core non-GUI functionality runtime libr
ii libqt4-gui 4.3.3-2 Qt 4 core GUI functionality runtime library
ii libqthreads-12 1.6.8-6 QuickThreads library for Guile


d'installées

Essaie avec ça

User avatar
fma38
Member
 
Posts: 5826
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Mon Feb 25, 2008 8:42 am

Attention ! En principe, il n'y a besoin d'aucune librairie Qt. Si vous avez besoin de les installer, ce n'est pas bon, car cela veut dire que APP va se linker avec les votres au lieu des siennes. à‡a peut marcher (c'était le cas chez moi pendant un moment, car je n'avais pas fait gaffe), tout dépend des versions installées, mais ce n'est pas recommendé du tout.

Pour savoir avec quoi APP se linke, faites un ldd sur le *binaire*.

Ensuite, pour résoudre le problème, il faut jouer avec LD_LIBRARY_PATH, et le faire pointer sur le répertoire qui contient les libs Qt d'APP.

@bazaar, c'est pour ça qu'il faut lancer le .sh, et non le binaire, qui doit se charger de tout. Mais dans ton cas, je ne pige toujours pas ce qui coince... Peux-tu donner le résultat des commandes :

$ ls -l /bin/sh
$ dpkg --get-selections | grep sh
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
bazaar
Member
 
Posts: 302
Joined: Tue Feb 14, 2006 12:04 am
Location: Rhône-Alpes, Bourgogne, Centre

by bazaar » Mon Feb 25, 2008 11:33 pm

Salut,

alors avec la soluce d'Alex, c'est cool, mon APP se lance!!
Par contre, garde pas la clé en mémoire, je suis obligé de tout ressaisir à  chaque fois.

Sur les résultats des commandes:

$ ldd AutopanoPro
linux-gate.so.1 => (0xffffe000)
libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7ebb000)
libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xb7e62000)
libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xb7ce1000)
libz.so.1 => /usr/lib/libz.so.1 (0xb7ccc000)
librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0xb7cc3000)
libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb7cab000)
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb7ca7000)
libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb7c82000)
libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xb74e6000)
libSM.so.6 => /usr/lib/libSM.so.6 (0xb74de000)
libICE.so.6 => /usr/lib/libICE.so.6 (0xb74c6000)
libXi.so.6 => /usr/lib/libXi.so.6 (0xb74be000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb74b6000)
libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb74b0000)
libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb74aa000)
libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb74a1000)
libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb749e000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb742e000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb7403000)
libXext.so.6 => /usr/lib/libXext.so.6 (0xb73f5000)
libX11.so.6 => /usr/lib/libX11.so.6 (0xb7303000)
libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xb7273000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7180000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7175000)
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb702b000)
libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb7026000)
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb6f68000)
/lib/ld-linux.so.2 (0xb7eec000)
libaudio.so.2 => /usr/lib/libaudio.so.2 (0xb6f52000)
libXt.so.6 => /usr/lib/libXt.so.6 (0xb6f01000)
libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb6ee1000)
libXau.so.6 => /usr/lib/libXau.so.6 (0xb6edd000)
libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb6ed8000)

$ ls -l /bin/sh
lrwxrwxrwx 1 root root 4 2008-02-18 13:36 /bin/sh -> dash

$ dpkg --get-selections | grep sh
bash install
bsh install
dash install
flashplugin-nonfree install
libmono-sharpzip2.84-cil install
libshout3 install
libusplash0 install
lshw install
openssh-client install
shared-mime-info install
ssh-askpass-gnome install
toshset install
usplash install
usplash-theme-ubuntu install
wbritish install
xrefresh install

alors docteur?

User avatar
fma38
Member
 
Posts: 5826
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Tue Feb 26, 2008 9:29 am

Ben, tu te linkes bien avec les librairies Qt de ubuntu, et pas celles d'APP. Pas bon. Mais ça sera résolu lorsque tu arriveras à  lancer Autpanopro.sh.

Ensuite, c'est bien ce que je pensais : ton shell n'est pas un shell totalement compatible sh ; c'est une version allégée de bash. Essaye de virer dash... logiquement, /bin/sh devrait alors pointer ves /bin/bash (puisqu'il est installé). Sinon, on regardera comment faire...
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
bazaar
Member
 
Posts: 302
Joined: Tue Feb 14, 2006 12:04 am
Location: Rhône-Alpes, Bourgogne, Centre

by bazaar » Tue Feb 26, 2008 10:32 am

Ca marche!! :)
Du moins avec l'archive!
Merci Fred!
Tu crois que je peux essayer avec l'installeur de paquets?

User avatar
fma38
Member
 
Posts: 5826
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Tue Feb 26, 2008 12:21 pm

Oui, il ne devrait pas y avoir de soucis, mis à  part que le lien dans /usr/bin/ n'en est pas un (c'est un répertoire vide), et qu'il faut donc le refaire... Et il faudra corriger le fichier postrm le prochain coup que tu fais une mise à  jour...
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

User avatar
AlexandreJ
Kolor Team
 
Posts: 5911
Joined: Mon Nov 14, 2005 4:56 pm
Location: Francin, France

by AlexandreJ » Wed Feb 27, 2008 10:39 am

Bon, toutes les erreurs ici ont été corrigé sur notre chaine de prod. Il ne devrait plus avoir aucun de ces soucis sur la prochaine version linux.

no avatar
hagi
New member
 
Posts: 2
Joined: Wed Mar 05, 2008 12:04 am

by hagi » Wed Mar 05, 2008 12:32 am

Je suis sous Ubuntu 7.10, et comme beaucoup j'ai entendu parler de ce logiciel.
Après une démo convaincante chez un collègue sur Windows, j'ai décidé de l'installer pour le tester. Pour faire simple je l'ai installé à  partir du paquet : AutopanoPro_Linux_140_2007-12-18.deb

Et depuis 2h30, j'ai fait le tour de ce topic et tenté tout ce qui était proposé, mais sans succès.

Je me retrouve avec un Gestionnaire de mise à  jour en vrac et un soft qui ne se lance pas en ligne de commande...

D'où ma question : Comment supprimer proprement AutopanoPro?

J'ai téléchargé également le tar.gz qui une fois décompressé se lance en cliquant sur le fichier AutopanoPro. C'est bien, mais ça n'a pas réparé mon APT...


Pour info : '/bin/sh --help' me renvoie également : '/bin/sh: Illegal option --'

"dpkg -P --force-all AutopanoPro" me renvoie :
dpkg - avertissement, problème contourné à  cause de --force :
Le paquet est dans un état incohérent - vous devriez le réinstaller avant d'essayer de le supprimer.
(Lecture de la base de données... 114079 fichiers et répertoires déjà  installés.)
Suppression de autopanopro ...
Purge des fichiers de configuration de autopanopro ...
rm: ne peut enlever `/usr/lib/AutopanoPro/resources': Aucun fichier ou répertoire de ce type
dpkg : erreur de traitement de autopanopro (--purge) :
le sous-processus post-removal script a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution : autopanopro

#ls -l /bin/sh :
lrwxrwxrwx 1 root root 4 2007-10-22 22:42 /bin/sh -> dash

#dpkg --get-selections | grep sh:
bash install
bsh install
dash install
dvd-slideshow install
flashplugin-nonfree install
libmono-sharpzip2.84-cil install
libshout3 install
libusplash0 install
libxcb-shape0 install
libxcb-shm0 install
lshw install
openssh-client install
shared-mime-info install
ssh-askpass-gnome install
toshset install
usplash install
usplash-theme-ubuntu install
wbritish install
xrefresh install
Last edited by hagi on Wed Mar 05, 2008 10:55 am, edited 1 time in total.

no avatar
bazaar
Member
 
Posts: 302
Joined: Tue Feb 14, 2006 12:04 am
Location: Rhône-Alpes, Bourgogne, Centre

by bazaar » Wed Mar 05, 2008 3:27 pm

Salut,

ben moi c'est tout rentré dans l'ordre..

pour apt, la manip est en bas de la page précédente, et pour APP, c'est:

sudo apt-get remove dash

en fait, toute la chronologie de la galère et les solutions se trouvent un peu plus haut..
voilou,
a+
xav

no avatar
hagi
New member
 
Posts: 2
Joined: Wed Mar 05, 2008 12:04 am

by hagi » Wed Mar 05, 2008 9:43 pm

En fait, j'avais modifié le fameux fichier suivant au lieu de le supprimer.
/var/lib/dpkg/info/autopanopro.postrm

Donc, ensuite j'ai suivi le reste des tuyaux et ça fonctionne.
J'ai sans doute posté trop vite, et tenté de l'installer trop tard hier soir.

Merci à  tous.

Previous

Return to Archives fr

Who is online

Users browsing this forum: No registered users and 2 guests

cron